gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Combo Gtk.Editable System.Obsolete A single-line text entry widget.
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  an object of type
  Creates a new instance.
- Event
  2.24.0.0
  GLib.Signal("activate")
  System.EventHandler Emitted when the is activated. This usually occurs when the user presses the "enter" or "return" key.
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Adds a history item of the given text to the tail of the history list. If save is , the history item will be saved in the config file (assuming that is not ). Duplicates are automatically removed from the history list. The history list is automatically saved if needed.
- Event
  2.24.0.0
  GLib.Signal("changed")
  System.EventHandler Emitted when the text is changed.
- Method
  2.24.0.0
  System.Void Clears the history.
- Method
  2.24.0.0
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void Delete the text contained in the selection.
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Delete the text between and .
- Method
  2.24.0.0
  System.String `` `` an object of type an object of type Gets the text between and . an object of type
- Method
  2.24.0.0
  System.Boolean `` `` an object of type an object of type Determines the position of the beggining and end of a selection. an object of type
- Property
  2.24.0.0
  GLib.Property("gtk_entry")
  Gtk.Entry The internal of the . an object of type
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("history_id")
  System.String The history id of the widget. an object of type
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  2.24.0.0
  System.Boolean Whether the is editable by the user. an object of type
- Property
  2.24.0.0
  System.UInt32 Internal limit on number of history items saved to the config file. an object of type Zero is an acceptable value, but the same thing is accomplished by setting the to .
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gnome.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gnome.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextDeleted", Type=typeof(Gnome.Entry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextInserted", Type=typeof(Gnome.Entry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void To be added To be added
- Property
  2.24.0.0
  System.Int32 The position of the cursor in the entry. an object of type
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Adds a history item of the given text to the head of the history list. If save is , the history item will be saved in the config file (assuming that is not ). Duplicates are automatically removed from the history list. The history list is automatically saved if needed.
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Select the text between and .
- Event
  2.24.0.0
  GLib.Signal("delete_text")
  Gtk.TextDeletedHandler Emitted when text is deleted from the entry.
- Event
  2.24.0.0
  GLib.Signal("insert_text")
  Gtk.TextInsertedHandler Emitted when text is inserted into the entry.